<?php
namespace App\Controllers;
use App\Models\Project_model;

class Project extends BaseController{

    public function __construct()  
    { 
        $this->db = \Config\Database::connect(); 
          
    } 



public function create_project(){

$department=$this->request->getpost('Department');
$Constituency=$this->request->getpost('Constituency');
$dop=$this->request->getpost('dop');
$financial_year=$this->request->getpost('year');
$estimated_date=$this->request->getpost('est_date');
$est_cost=$this->request->getpost('est_cost');
$date_approval=$this->request->getpost('date_approval');
$apm=$this->request->getpost('Apm');
$engineer=$this->request->getpost('engineer');
$adm_amt=$this->request->getpost('Adm_amt');
$start_date=$this->request->getpost('start_date');
$release_amt=$this->request->getpost('release_amt');
$amt_part=$this->request->getpost('release_amt_part');
$expenditure=$this->request->getpost('expenditure');
$status=$this->request->getpost('status');
$remarks=$this->request->getpost('remarks');
$created_at=date('y-m-d H-i-s');
$created_by = session()->get('username');
$files = $this->request->getFiles();

$fileNames = $this->request->getPost('fileNames');  // Get custom file names from form input

$uploadedFiles = [];

if ($files) {
    foreach ($files['files'] as $index => $file) {
   
        if ($file->isValid() && !$file->hasMoved()) {
            $customName = $fileNames[$index] . '.' . $file->getExtension(); 
            $file->move(ROOTPATH . 'public/projectUploads/', $customName); 

            $uploadedFiles[] = $customName;  
        }
    }
}
$data=['file_name' => $fileNames[$index], 
'file_path' => 'public/projectUploads/' . $customName 
];
$data=['department'=>$department,
'Constituency'=>$Constituency,
'date_of_proposal'=>$dop,
'financial_year'=>$financial_year,
'est_sub_date'=>$estimated_date,
'estimated_cost'=>$est_cost,
'Date_of_approval'=>$date_approval,
'apm'=>$apm,
'engineer'=>$engineer,
'adm_amount'=>$adm_amt,
'start_date'=>$start_date,
'release_amount'=>$release_amt,
'release_amt_part'=>$amt_part,
'expenditure'=>$expenditure,
'status'=>$status,
'upload_documents' =>$data, 
'remarks'=>$remarks,
'created_at'=>$created_at,
'created_by'=>$created_by,


];
$model= new Project_model();
try {

    if($model->insert($data)){

        return $this->response->setJSON(['result'=>1,'message'=>'create project successfully']);
    }else{

        return $this->response->setJSON(['result'=>0,'message'=>'failed create project']);
    }

}catch(\Exception $e){
    return $this->response->setJSON(['result' => 0, 'message' => $e->getMessage()]);
}
}


public function fetch_department(){

    $db = \Config\Database::connect();
    $builder = $db->table('department'); 
    $builder->select('id ,department_name'); 
    $query = $builder->get();
    $departments = $query->getResultArray();

    if ($departments) {
        return $this->response->setJSON($departments);
    } else {
        return $this->response->setJSON(['result' => 0, 'message' => 'No headers found']);
    }
}

public function fetch_Constituency(){

    $db = \Config\Database::connect();
    $builder = $db->table('Constituency'); 
    $builder->select('id ,constituency_name'); 
    $query = $builder->get();
    $Constituency= $query->getResultArray();

    if ($Constituency) {
        return $this->response->setJSON($Constituency);
    } else {
        return $this->response->setJSON(['result' => 0, 'message' => 'No Constituency found']);
    }
}


public function project_list_data(){

    $builder = $this->db->table('project');
    $builder->select('project.*, department.department_name ');
    $builder->join('department', 'department.id = project.department', 'left'); 
    $builder->orderBy('project.created_at', 'DESC');

    $query = $builder->get();
    $data = $query->getResultArray();

    if ($data) {
        return $this->response->setJSON($data);
    } else {
        return $this->response->setJSON(['result' => 0, 'message' => 'Failed to load data']); 
    }
}



public function project_delete($id){
    try {
        $builder = $this->db->table('project');
        $builder->where('id', $id);
        if ($builder->delete()) {
            return $this->response->setJSON(['result' => 1, 'message' => 'project deleted successfully']);
        } else {
            return $this->response->setJSON(['result' => 0, 'message' => 'Failed to delete project']);
        }
    } catch (\Exception $e) {
        return $this->response->setJSON(['result' => 0, 'message' => $e->getMessage()]);
    }
}

















}

























?>