<?php

namespace App\Controllers;

class Roles extends BaseController{

    public function __construct()  
    { 
        $this->db = \Config\Database::connect(); 
          
    } 

public function add_roles(){
$role_name=$this->request->getpost('role_name');
$remarks=$this->request->getpost('remarks');
$created_at=date('y-m-d H-i-s');
// echo date('Y-m-d H:i:s'); 


$created_by = session()->get('username');

$data=[
    "role"=>$role_name,
    'remarks'=>$remarks,
    'created_at'=>$created_at,
   'created_by'=>$created_by,

];

try {
    $builder=$this->db->table('roles');
    if($builder->insert($data)){

        return $this->response->setJSON(['result'=>1,'message'=>'Role Add successfully']);
    }else{

        return $this->response->setJSON(['result'=>0,'message'=>'Failed Create Role']);
    }

}catch(\Exception $e){
    return $this->response->setJSON(['result' => 0, 'message' => $e->getMessage()]);
}

}

public function fetch_roles(){

    $db = \Config\Database::connect();
    $builder = $db->table('roles'); 
    $builder->select('id ,role'); 
    $query = $builder->get();
    $role = $query->getResultArray();

    if ($role) {
        return $this->response->setJSON($role);
    } else {
        return $this->response->setJSON(['result' => 0, 'message' => 'No headers found']);
    }
}

public function add_roles_creation(){

    $role_name = $this->request->getPost('role');
    $admin = $this->request->getPost('admin');
    $apm = $this->request->getPost('apm');
    $supervisor = $this->request->getPost('supervisor');
    $remarks = $this->request->getPost('remarks');
    $created_at = date('Y-m-d H:i:s'); 
    $created_by = session()->get('username');
    
    $data = [
        'role' => $role_name,
        'created_at' => $created_at,
        'created_by' => $created_by,
    ];
    if (!empty($admin)) {
        $data['apm'] = $admin;
    }
    if (!empty($apm)) {
        $data['supervisor'] = $apm;
    }
    
    if (!empty($supervisor)) {
        $data['engineer'] = $supervisor;
    }
    
    if (!empty($remarks)) {
        $data['remarks'] = $remarks;
    }
    try {
        $builder=$this->db->table('create_roles');
        if($builder->insert($data)){
    
            return $this->response->setJSON(['result'=>1,'message'=>'Role Add successfully']);
        }else{
    
            return $this->response->setJSON(['result'=>0,'message'=>'Failed Create Role']);
        }
    
    }catch(\Exception $e){
        return $this->response->setJSON(['result' => 0, 'message' => $e->getMessage()]);
    }
    


}










}

?>