<?php

namespace  App\Controllers;

use App\Models\UserModel;

class Usercontroller extends BaseController{


    public function __construct()  
    { 
    
          date_default_timezone_set('Asia/Kolkata');
          $this->db = \Config\Database::connect(); 
    } 
    
    public function register(){
    
            $name = $this->request->getPost('username');
            $email = $this->request->getPost('Email');
            $phone = $this->request->getPost('phone');
            $password = password_hash($this->request->getPost('password'), PASSWORD_DEFAULT);
            $referralCode = $this->request->getPost('referral_code');

            $userModel = new UserModel();

        
            // $generatedReferralCode = substr(md5(uniqid($name, true)), 0, 10);

            
            $referredBy = null; 
            if (!empty($referralCode)) {
                $referrer = $userModel->where('referral_code', $referralCode)->first();
                if ($referrer) {
                    $referredBy = $referrer['id'];
                }
            }

        
           $data=([
                'name' => $name,
                'email' => $email,
                'phone' => $phone,
                'password' => $password,
                'role'=>'1',
                'role_name'=>'user',
                // 'referral_code' => $generatedReferralCode,
                'referred_by' => $referredBy,
                'created_at' => date('Y-m-d H:i:s'),
           
            ]);

    
             if($userModel->insert($data)){

                return $this->response->setJSON(['result' => 1, 'message' => 'Registered Successfully']);
             }
             else{

                return $this->response->setJSON(['result' => 0,'message' => 'Register Failed']);
             }
        }


        public function getPendingUsers()
        {
            $request = $this->request;
            $builder = $this->db->table('user');
            // $builder->where('status', 'pending');
            
            $totalUsers = $builder->countAllResults(false);
            $users = $builder->get()->getResultArray();  
    
            $data = [
                'draw' => $request->getVar('draw'),
                'recordsTotal' => $totalUsers,
                'recordsFiltered' => $totalUsers,
                'data' => $users
            ];
    
            return $this->response->setJSON($data);
        }


        public function approveUser() {
            $id = $this->request->getPost('id');
           
     
            if (!$id) {
                return $this->response->setJSON(['result' => 0, 'message' => 'Invalid input provided.']);
            }
        

            $data = [
                'role' => '1',
                'status' => 'approved',
                'role_name' => 'user' ,
              
            ];
       
             $generatedUserCode='USER-' . $id . '-' . strtoupper(bin2hex(random_bytes(3))); 
              $generatedReferralCode  =strtoupper(substr(md5(uniqid(mt_rand(), true)), 0,10));
                $data['user_code'] =  $generatedUserCode;
                $data['referral_code'] = $generatedReferralCode;
          
         
          
            $builder = $this->db->table('user');
            $builder->where('id', $id);
            $builder->update($data);
        
            return $this->response->setJSON(['result' => 1, 'message' => 'User approved successfully!']);
        }
        

public function deleteUser(){
    $id = $this->request->getPost('id');

    if($id){

        $builder = $this->db->table('user');
        $builder->where('id', $id);
        $builder->delete();
    }
    else{

        return $this->response->setJSON(['result' => 0, 'message' =>'Failed to Delete']);  
    }

}






}




?>