<?php

use CodeIgniter\Router\RouteCollection;

/**
 * @var RouteCollection $routes
 */
$routes->get('/', 'Home::index');
$routes->get('dashboard','Home::dashbaord');
$routes->get('User-Management','Home::User_Management');

$routes->get('User-Create','Home::user');
$routes->get('my-pin-requests','Home::my_pin_requests');
$routes->get('Admin-Approval-Panel','Home::Admin_Approval_Panel');
$routes->get('Customer-register','Home::Customer_register');
$routes->get('Create-Scheme','Home::Create_Scheme');
$routes->get('home','Home::home');
$routes->get('Customer-details','Home::Customer_details');
$routes->get('Customer-report','Home::Customer_report');

$routes->get('loginpage','Login::index');
$routes->post('login','Login::login');
$routes->add('logout','Login::logout');


$routes->post('my-pin-request','Promoter::my_pin_request');
$routes->post('create-customer','Promoter::create_customer');
$routes->get('customers-detail-list','Promoter::customers_detail_list');
$routes->get('get-customer-details','Promoter::get_customer_details');
$routes->get('pin-request-list','Promoter::pin_request_list');


$routes->post('register','UserController::register');
$routes->post('add-scheme','UserController::add_scheme');


$routes->post('getPendingUsers', 'UserController::getPendingUsers');  // Fetch pending users
$routes->post('approveUser', 'UserController::approveUser'); 
$routes->post('deleteUser', 'UserController::deleteUser'); 




$routes->get('notifications','Notification::index');
$routes->post('notifications/mark_as_read','Notification::mark_read');
$routes->post('getUsersByRole','Notification::getUsersByRole');
$routes->post('send-notification','Notification::send_Notification');

// $routes->get('Roles/view', 'Roles::view');
// $routes->get('Roles/getById', 'Roles::getById'); 
// $routes->post('Roles/update', 'Roles::update');
// $routes->delete('Roles/delete/(:num)', 'Roles::delete/$1');


// costomer report

$routes->get('getFilteredCustomerDetails', 'Promoter::getFilteredCustomerDetails');


$routes->get('getCustomerDetails', 'Promoter::getCustomerDetails');


