<?php

use CodeIgniter\Router\RouteCollection;

/**
 * @var RouteCollection $routes
 */
$routes->get('/', 'Home::index');
$routes->get('dashboard','Home::dashbaord');
$routes->get('User-Management','Home::User_Management');

$routes->get('loginpage','Login::index');
$routes->post('login','Login::login');
$routes->add('logout','Login::logout');





$routes->post('register','UserController::register');


$routes->post('getPendingUsers', 'UserController::getPendingUsers');  // Fetch pending users
$routes->post('approveUser', 'UserController::approveUser'); 
$routes->post('deleteUser', 'UserController::deleteUser'); 




$routes->get('notifications','Notification::index');
$routes->post('notifications/mark_as_read','Notification::mark_read');
$routes->post('getUsersByRole','Notification::getUsersByRole');
$routes->post('send-notification','Notification::send_Notification');

// $routes->get('Roles/view', 'Roles::view');
// $routes->get('Roles/getById', 'Roles::getById'); 
// $routes->post('Roles/update', 'Roles::update');
// $routes->delete('Roles/delete/(:num)', 'Roles::delete/$1');
