<?php echo view('includes/sidebar'); ?>
<script type="text/javascript" src="<?php echo base_url('public/assets/js/jquery-3.6.0.min.js'); ?>"></script>
<script src="<?php echo base_url('public/assets/toastr/toastr.min.js');?>"></script>


<link rel="stylesheet" href="<?php echo base_url('public/assets/toastr/toastr.min.css');?>">
<link rel="stylesheet" href="https://cdn.datatables.net/1.11.5/css/jquery.dataTables.min.css">
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js"></script>
<script src="https://cdn.datatables.net/1.11.5/js/jquery.dataTables.min.js"></script>
<link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.4/css/all.min.css" rel="stylesheet">


<style>
/* Reduce table margin and padding */
.dataTables_wrapper {
    margin: 10px auto; /* Smaller margin */
    width: 95%; /* Adjust width for a compact layout */
}

/* Style table */
#datatable {
    border: 1px solid #ddd;
    border-radius: 5px;
    font-size: 14px; /* Adjust font size */
    background-color: #fff;
}

/* Header styling */
#datatable thead {
    background-color: #f4f4f4;
    color: #333;
    font-weight: bold;
    border-bottom: 2px solid #ccc;
}

/* Row styling */
#datatable tbody tr {
    border-bottom: 1px solid #ddd;
}

#datatable tbody tr:hover {
    background-color: #f9f9f9; /* Highlight on hover */
}

/* Action buttons */
.crud--buttons .btn {
    margin: 0 5px; /* Small spacing between buttons */
    font-size: 12px; /* Smaller font for buttons */
    padding: 5px 10px; /* Compact button size */
    border-radius: 3px;
}

/* Eye icon button */
.view--butt {
    color: #fff;
    background-color: #17a2b8; /* Bootstrap 'info' color */
    border: none;
}

/* Menu icon button */
.menu--butt {
    color: #fff;
    background-color: #6c757d; /* Bootstrap 'secondary' color */
    border: none;
}

/* Icon sizes */
.fas {
    font-size: 14px;
    vertical-align: middle;
}

/* Serial number column */
#datatable td:first-child {
    text-align: center;
    font-weight: bold;
}
</style>

<section class="home-section fullpage">
    <div class="home-content">
        <i class='bx bx-menu'></i>
        <!-- <span class="text">Drop Down Sidebar</span> -->
    </div>


    <!-- heading row   -->
    <div class="row m-0">
        <div class="col-sm-12">
            <h1 class="crt-pjt">Customer Details</h1>
        </div>
    </div>

    <!-- form row  -->
    <!-- forms -->
    <div class="row">
        <div class="col-sm-12">
         <div class="container deptable">
               <table id="datatable" class="table table-striped table-bordered">
    <thead>
        <tr>
            <th>SL No</th> <!-- Serial Number -->
            <th>ID</th>
            <th>Name</th>
            <!--<th>Email</th>-->
            <th>User Id</th>
            <th>Scheme</th>
            <th>Card Number</th>
            <th>Created At</th>
            <th>Actions</th>
        </tr>
    </thead>
    <tbody>
        <!-- DataTables will populate the rows dynamically -->
    </tbody>
</table>
            </div>
    </div>
        
        </div>
    </div>
    </div>

<!-- Modal Structure -->
<div class="modal fade" id="customerModal" tabindex="-1" role="dialog" aria-labelledby="customerModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="customerModalLabel">Customer Details</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close" onclick="$('#customerModal').modal('hide')">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <!-- Customer details will be populated here -->
                <div id="customerDetails">
                    <p><strong>Name:</strong> <span id="customerName"></span></p>
                    <p><strong>Email:</strong> <span id="customerEmail"></span></p>
                    <p><strong>Mobile:</strong> <span id="customerMobile"></span></p>
                    <p><strong>Address:</strong> <span id="customerAddress"></span></p>
                    <p><strong>Card No:</strong> <span id="customerCardNo"></span></p>
                    <p><strong>State:</strong> <span id="customerState"></span></p>
                    <p><strong>City:</strong> <span id="customerCity"></span></p>
                    <p><strong>Pincode:</strong> <span id="customerPincode"></span></p>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" onclick="$('#customerModal').modal('hide')">Close</button>
            </div>
        </div>
    </div>
</div>

</section>






<script src="https://cdn.jsdelivr.net/npm/sweetalert2@11.10.8/dist/sweetalert2.all.min.js"></script>
<link href="https://cdn.jsdelivr.net/npm/sweetalert2@11.10.8/dist/sweetalert2.min.css" rel="stylesheet">

<script>
    $(document).ready(function () {

        $('#btn-cancel').click(function (e) {
            e.preventDefault();
            $('#form-department')[0].reset();
        })
    })
</script>

<script>
    $(document).ready(function () {
        var table = $('#datatable').DataTable({
            pageLength: 20,
            ajax: {
                url: '<?php echo base_url("customers-detail-list"); ?>',
                dataSrc: ''
            },
            columns: [
                { data: null }, 
                { data: 'id', visible: false }, 
                { data: 'name' }, 
                // { data: 'email' }, 
                { data: 'user_id' }, 
                { data: 'scheme' },
                { data: 'card_no' }, 
                {
                data: 'created_at', // Date and Time
                render: function (data) {
                    // Format the date as dd-mm-yy and time as hh:mm
                    var date = new Date(data);
                    var day = ("0" + date.getDate()).slice(-2); // Ensure 2 digits
                    var month = ("0" + (date.getMonth() + 1)).slice(-2); // Month is zero-indexed
                    var year = date.getFullYear().toString(); // Get last 2 digits of year
                    var hours = ("0" + date.getHours()).slice(-2);
                    var minutes = ("0" + date.getMinutes()).slice(-2);
                    
                    // Return formatted date and time
                    return day + '-' + month + '-' + year + ' ' + hours + ':' + minutes;
                }
            },

                {
                    data: null, // Actions column
                    render: function (data, type, row) {
                        var access = '<div class="crud--buttons">';
                        // Eye icon for viewing details
                        access += '<button class="btn btn-info view--butt" id="view--button" onclick="view(' + row.id + ')" title="View Details">';
                        access += '<i class="fas fa-eye"></i>';
                        access += '</button> ';
                        // Menu icon for accessing other details
                        access += '<button class="btn btn-secondary menu--butt" id="menu--button" onclick="showMenu(' + row.id + ')" title="More Actions">';
                        access += '<i class="fas fa-bars"></i>';
                        access += '</button> ';
                       
                        access += '</div>';
                        return access;
                    }
                }
            ],
            rowCallback: function (row, data, index) {
                // Serial number
                $('td:eq(0)', row).html(index + 1);
            },
            language: {
                emptyTable: "No data available"
            }
        });
    });
</script>


<script>
    
      function view(customerId) {
        // Send an AJAX request to get the customer data by ID
        $.ajax({
            url: '<?php echo base_url("get-customer-details"); ?>',  // Your endpoint to get customer data
            type: 'GET',
            data: { id: customerId },
            success: function(response) {
                if (response.result === 1) {
                    // Populate modal with customer details
                    $('#customerName').text(response.data.name);
                    $('#customerEmail').text(response.data.email);
                    $('#customerMobile').text(response.data.mobile);
                    $('#customerAddress').text(response.data.address);
                    $('#customerCardNo').text(response.data.card_no);
                    $('#customerState').text(response.data.state);
                    $('#customerCity').text(response.data.city);
                    $('#customerPincode').text(response.data.pinCode);

                    // Show the modal
                    $('#customerModal').modal('show');
                } else {
                    alert('Failed to fetch customer details.');
                }
            },
            error: function() {
                alert('Error fetching data.');
            }
        });
    }
</script>
</script>
































<script>
    let arrow = document.querySelectorAll(".arrow");
    for (var i = 0; i < arrow.length; i++) {
        arrow[i].addEventListener("click", (e) => {
            let arrowParent = e.target.parentElement.parentElement;
            arrowParent.classList.toggle("showMenu");
        });
    }
    let sidebar = document.querySelector(".sidebar");
    let sidebarBtn = document.querySelector(".bx-menu");
    console.log(sidebarBtn);
    sidebarBtn.addEventListener("click", () => {
        sidebar.classList.toggle("close");
    });
</script>



<?php echo view('includes/footer'); ?>