<?php echo view('includes/sidebar'); ?>
<script type="text/javascript" src="<?php echo base_url('public/assets/js/jquery-3.6.0.min.js'); ?>"></script>
<script src="https://cdn.datatables.net/1.12.1/js/jquery.dataTables.min.js"></script>
<script src="<?php echo base_url('public/assets/toastr/toastr.min.js');?>"></script>


<link rel="stylesheet" href="<?php echo base_url('public/assets/toastr/toastr.min.css');?>">
<link rel="stylesheet" href="https://cdn.datatables.net/1.11.5/css/jquery.dataTables.min.css">
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js"></script>
<script src="https://cdn.datatables.net/1.11.5/js/jquery.dataTables.min.js"></script>

<style>
.btn-close {
    background:white;
    border: none;
    appearance: none;
    width: 2em;
    height: 2em;
    opacity: 0.5;
    border-radius:25px;
}
.btn-close::before {
    content: "×";
    font-size: 1.5rem;
    color: #000;
}

    .container {
        margin: 0 auto;
        padding: 20px;
        max-width: 1400px;
        background-color: #f9f9f9;
        border-radius: 8px;
        box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    }

    .tableBlock {
        margin-top: 70px !important;
    }

    .crud--buttons {
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    .editbtn {
        background-color: Green;
        color: white;
        padding: 5px 24px;
        width: 150px
    }

    .deletebtn {
        background-color: Red;
        color: white;
        padding: 5px 14px;
        margin-left: 5px;
        width: 90px
    }

    /* Table Styling */
    #datatable {
        width: 100%;
        border-collapse: collapse;
        margin-top: 20px;
        background-color: #fff;
    }

    #datatable thead th {
        background-color: #4B0B0B;
        color: white;
        padding: 12px;
        text-align: left;
        font-weight: bold;
        border: 1px solid #ddd;
    }

    #datatable tbody td {
        padding: 12px;
        border: 1px solid #ddd;
        text-align: left;
    }

    /* Row Hover Effect */
    #datatable tbody tr:hover {
        background-color: #f1f1f1;
    }

    /* Action Button Styling */
    #datatable tbody td .action-btn {
        padding: 6px 14px !important;
        background-color: #4CAF50;
        color: white;
        border: none;
        border-radius: 4px;
        cursor: pointer;
        transition: background-color 0.3s ease;
    }

    #datatable tbody td .action-btn:hover {
        background-color: #45a049;
    }


    .deptable{
        overflow-x:auto;
    }
    /* Responsive Table */
    @media screen and (max-width: 768px) {
        .container {
            padding: 10px;
        }

        #datatable {
            font-size: 14px;
        }
    }
</style>
<section class="home-section fullpage">
    <div class="home-content">
        <i class='bx bx-menu'></i>
        <!-- <span class="text">Drop Down Sidebar</span> -->
    </div>


    <!-- heading row   -->
    <div class="row m-0">
        <div class="col-sm-12">
            <h1 class="crt-pjt">User Management</h1>
        </div>
    </div>


    <table id="userTable">
    <thead>
        <tr>
            <th>SL No.</th>
            <th>ID</th>
            <th>Name</th>
            <th>Email</th>
            <th>Phone</th>
            <th>Referral Code</th>
            <th>Status</th>
            <th>Actions</th>
        </tr>
    </thead>
    <tbody>
        <!-- Data rows will be populated here by DataTables -->
    </tbody>
</table>

    </div>
    </div>


</section>






<script src="https://cdn.jsdelivr.net/npm/sweetalert2@11.10.8/dist/sweetalert2.all.min.js"></script>
<link href="https://cdn.jsdelivr.net/npm/sweetalert2@11.10.8/dist/sweetalert2.min.css" rel="stylesheet">
<script>
 $(document).ready(function() {
    var table = $('#userTable').DataTable({
        "processing": true,
        "serverSide": true,
        "ajax": {
            "url": "<?php echo base_url('getPendingUsers') ?>",  
            "type": "POST",
            "dataSrc": function (json) {
                console.log(json); // Log the server response
                return json.data; // Ensure it returns an array of rows
            }
        },
        "columns": [
            { 
                "data": null, 
                "render": function(data, type, row, meta) {
                    return meta.row + 1;
                }
            },
            { "data": "id", visible: false },
            { "data": "name" },
            { "data": "email" },
            { "data": "phone" },
            { "data": "referral_code" },
            { "data": "status" },
            { 
                "data": "id", 
                "render": function(data, type, row) {
                    var approveButton = '<button class="approve-btn" data-id="'+data+'">Approve</button>';
                    // var rejectButton = '<button class="reject-btn" data-id="'+data+'">Reject</button>';
                    var pendingButton = '<button class="pending-btn" data-id="'+data+'">Pending</button>';
                    return '<div>' + approveButton + ' ' + pendingButton + '</div>';
                }
            }
        ],
        "rowCallback": function(row, data, index) {
            // Serial number
            $('td:eq(0)', row).html(index + 1);
        },
        "language": {
            "emptyTable": "No data available"
        }
    });


        // Approve User
        $('#userTable').on('click', '.approve-btn', function() {
            var userId = $(this).data('id');
            $.ajax({
                url: '<?= base_url('approveUser') ?>',
                method: 'POST',
                data: { id: userId },
                success: function(response) {
                    alert(response.message);
                    table.ajax.reload();  
                }
            });
        });

        // Reject User
        $('#userTable').on('click', '.reject-btn', function() {
            var userId = $(this).data('id');
            $.ajax({
                url: '<?= base_url('rejectUser') ?>',
                method: 'POST',
                data: { id: userId },
                success: function(response) {
                    alert(response.message);
                    table.ajax.reload(); 
                }
            });
        });

        // Set Pending Status
        $('#userTable').on('click', '.pending-btn', function() {
            var userId = $(this).data('id');
            $.ajax({
                url: '<?= base_url('setPendingUser') ?>',
                method: 'POST',
                data: { id: userId },
                success: function(response) {
                    alert(response.message);
                    table.ajax.reload();  
                }
            });
        });
});

</script>

<?php echo view('includes/footer'); ?>