<?php

namespace App\Controllers;

class Login extends BaseController
{
    public function __construct()  
    { 
        $this->db = \Config\Database::connect(); 
          date_default_timezone_set('Asia/Kolkata');
          
    } 
    
    // public function index(){
        
    //     return view('login_page');
    // }
 
    public function login()
    {
        $email = $this->request->getVar('username'); 
        $password = $this->request->getPost('password'); 
    
        if (!empty($email) && !empty($password)) {
         
            $adminBuilder = $this->db->table('admin');
            $adminBuilder->where('email', $email);
            $admin = $adminBuilder->get()->getRow();
    
            if ($admin) {
                if (password_verify($password, $admin->password)) {
                   
                    $sessionData = [
                        'id' => $admin->id,
                        'username' => $admin->username,
                        'email' => $admin->email,
                        'role_name' =>$admin->role_name,
                        'role'=>$admin->role,
                    ];
                    session()->set($sessionData);
    
                    return $this->response->setJSON(['result' => 1, 'message' => 'Admin Login Successful']);
                } else {
                    return $this->response->setJSON(['result' => 3, 'message' => 'Invalid Password']);
                }
            }
    

            $userBuilder = $this->db->table('user');
            $userBuilder->where('email', $email);
            $user = $userBuilder->get()->getRow();
    
            if ($user) {
                if ($user->status === 'approved') {
                    if (password_verify($password, $user->password)) {
   
                        $sessionData = [
                            'id' => $user->id,
                            'username' => $user->name,
                            'email' => $user->email,
                            'role_name' => $user->role_name,
                            'role'=>$user->role,
                            'status' => $user->status,
                        ];
                        session()->set($sessionData);
    
                        return $this->response->setJSON(['result' => 1, 'message' => 'User Login Successful']);
                    } else {
                        return $this->response->setJSON(['result' => 3, 'message' => 'Invalid Password']);
                    }
                } elseif ($user->status === 'pending') {
                    return $this->response->setJSON(['result' => 4, 'message' => 'Account is pending approval']);
                } elseif ($user->status === 'rejected') {
                    return $this->response->setJSON(['result' => 5, 'message' => 'Account has been rejected']);
                }
            }
    
     
            return $this->response->setJSON(['result' => 2, 'message' => 'Invalid Email']);
        } else {
            return $this->response->setJSON(['result' => 0, 'message' => 'Credentials cannot be empty']);
        }
    }
    
    
public function logout(){
    session()->destroy();
    return redirect()->to('/');
    
}



}
?>